Page MenuHomeFreeBSD

bsd.lib.mk: Add a install target for .pc files
ClosedPublic

Authored by manu on Mar 9 2021, 8:47 PM.

Details

Summary

That way the files are correctly taggued for pkgbase

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

manu requested review of this revision.Mar 9 2021, 8:47 PM
emaste added inline comments.
share/mk/bsd.lib.mk
452

should we have a .PHONY?

This revision is now accepted and ready to land.Mar 9 2021, 9:03 PM
share/mk/bsd.lib.mk
452

I don't think that it's needed, we don't do it for other installlib etc ...

share/mk/bsd.lib.mk
452

It will be functional without it indeed, but we would get strange behaviour if we ever end up with a file named as one of these targets for some reason.

share/mk/bsd.lib.mk
452

Ok, I'll change the
.else
installpcfiles:
.endif
to
installpcfiles: .PHONY

and test, I think that will do the job.

bapt added a subscriber: bapt.

beside the .PHONY thing as stated by @emaste LGTM

Add .PHONY to installpcfiles target.

This revision now requires review to proceed.Mar 11 2021, 12:38 PM

🙋🏻‍♀️

share/mk/bsd.lib.mk
461

i believe we need an .else here, or else we'll have this target twice, and one of them will be .PHONY

share/mk/bsd.lib.mk
461

AFAIK this will just either:

  • Create a new empty target with .PHONY attributes if PCFILES isn't defined
  • Set the .PHONY attribute to the already existing target if PCFILES is defined.
This revision was not accepted when it landed; it landed in state Needs Review.Mar 16 2021, 6:14 AM
This revision was automatically updated to reflect the committed changes.